This is a working branch for KGpg2 which should eventually replace the current 
implementation. Before doing anything here PLEASE PLEASE contact me (dakon) 
either on IRC or per mail.

Some things to keep in mind:

-the files I add here are kernel coding style. That means for example tab 
 identation. Keep it this way. Yes, I know this differs from the rest of the 
 project. We can argue about that when it's time to merge back to trunk. 
 Until then keep it this way.

-I have much things put into the model that _really_ belongs into the view. 
 I know this. It's just I don't have time to play around with another toy 
 currently. If you want to write a KGpgKeyView just ask me. Or wait until 
 it happens. I _know_ it's wrong how it is. But it kind of works.
